﻿using System.Linq;
using System;

namespace EFOracle
{
    class Program
    {
        static void Main(string[] args)
        {

            using (var ctx = new Context())
            {
                var data = ctx.Countries.ToList();
                Console.WriteLine(string.Format("Got countries from Oracle DB.  Total count is {0}", data.Count));
                ctx.Countries.Add(new Country { CountryID = "CL", CountryName = "Chile", RegionID = 2 });
                ctx.SaveChanges();
            }
        }
    }
}
