﻿using System;

namespace Hierarchies
{
    public class Initializer : System.Data.Entity.DropCreateDatabaseIfModelChanges<Context>
    {
        protected override void Seed(Context context)
        {
            base.Seed(context);
            context.Developers.Add(
                new Developer
                    {
                        FirstName = "John",
                        LastName = "Doe",
                        Industry = "Services",
                        CompanyName = "Best Co."
                    }
                );
            context.ConferenceAttendees.Add(
                new ConferenceAttendee
                    {
                        FirstName = "Jane",
                        LastName = "Doe",
                        Industry = "Agriculture",
                        CompanyName = "Terra Nova",
                        LastAttended = new DateTime(2012, 3, 27)
                    }
                );
        }
    }
}
